Bug 171724 - originating evince process exits before input file is read
originating evince process exits before input file is read
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: evince (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Kristian Høgsberg
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-25 13:05 EDT by Jeffery von Ronne
Modified: 2008-03-09 03:57 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-09 03:57:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeffery von Ronne 2005-10-25 13:05:20 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
Using the default mailcap entry, mutt is unable to get evince to display PDF's.

I think what is happening is that mutt assumes (rightly, IMO) that when a 
helper program it found thorugh mailcap exits it can delete the temporary 
file it passed to the helper program.  When mutt executes evince, however, 
the main evince process searches for existing evince processes, 
passes the filename to the helper process, and then exits.

Version-Release number of selected component (if applicable):
evince-0.4.0-1.2 mailcap-2.1.19-1 mutt-1.4.2.1-2

How reproducible:
Always

Steps to Reproduce:
1. start up evince (so that there is an existing evince process)
1. in an xterm, open a mail that contains a PDF attachment with mutt
2. view the PDF attachment (with the default /etc/mailcap that points to evince)
3. watch the PDF fail to run
  

Actual Results:  evince displays a blank document with an error dialog about being able to
open the PDF file

Expected Results:  evince should display the PDF document

Additional info:

A workaround is to add "needsterminal" to the mailcap entry.  This seems to
prevent mutt from deleting the temporary until the user hits the enter key 
in mutt's xterm.  Another workaround is to make sure there are no other
evince processes running when viewing PDF's with mutt.
Comment 1 Christian Iseli 2007-01-19 19:47:43 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 2 petrosyan 2008-03-09 03:57:52 EDT
Fedora Core 4 is no longer maintained.

Setting status to "INSUFFICIENT_DATA". If you can reproduce this bug in the
current Fedora release, please reopen this bug and assign it to the
corresponding Fedora version.

Note You need to log in before you can comment on or make changes to this bug.